%define python_binding 1
%define ruby_binding 0

Name:           tomoe
Version:        0.6.0
Release:        5%{?dist}
Summary:        Handwritten input system for Japanese and Chinese

Group:          System Environment/Libraries
License:        LGPL2+
URL:            http://scim-imengine.sourceforge.jp/
Source0:        http://downloads.sourceforge.net/sourceforge/tomoe/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  glib2-devel, gettext, gtk-doc
BuildRequires:  perl(XML::Parser), python, pygtk2-codegen
%if %{python_binding}
BuildRequires:  pygobject2-devel, python-devel, pygtk2-codegen
%endif
%if %{ruby_binding}
BuildRequires:  ruby-glib2-devel
%endif
## for extra dictionary backends
#BuildRequires:  mysql-devel, subversion-devel, hyperestraier-devel

%description
A program which does Japanese handwriting recognition.


%package devel
Summary:    tomoe development files
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
# for %{_datadir}/gtk-doc/html
Requires:   gtk-doc

%description devel
The tomoe-devel package includes the header files for the tomoe package.
Install this package if you want to develop programs which use tomoe.


%prep
%setup -q


%build
%configure --disable-static --enable-gtk-doc
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

%if !%{ruby_binding}
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/ruby/site_ruby/*/tomoe.rb $RPM_BUILD_ROOT%{_libdir}/ruby/site_ruby/*/*-linux/*
%endif

# remove .la files
find ${RPM_BUILD_ROOT}%{_libdir} -name '*.la' | xargs rm

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO data/kanjidic*.html
%{_libdir}/libtomoe.so.*
%if %{python_binding}
%{_libdir}/python2.5/site-packages/tomoe.so
%endif
%{_libdir}/tomoe
%{_datadir}/tomoe
%dir %{_sysconfdir}/tomoe
%config(noreplace) %{_sysconfdir}/tomoe/config


%files devel
%defattr(-,root,root,-)
%{_libdir}/libtomoe.so
%{_includedir}/tomoe
%{_libdir}/pkgconfig/tomoe.pc
%{_datadir}/gtk-doc/html/tomoe
%{_libdir}/pkgconfig/pytomoe.pc
%if %{ruby_binding}
%{_prefix}/lib/ruby/site_ruby/1.8/tomoe.rb
%{_libdir}/ruby/site_ruby/1.8/*-linux/*
%endif

%changelog
* Wed Feb 27 2008 Jens Petersen <petersen@redhat.com> - 0.6.0-5
- update license field from LGPL to LGPL2+

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6.0-4
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.6.0-3
- Rebuild for selinux ppc32 issue.

* Mon Jul 16 2007 Jens Petersen <petersen@redhat.com> - 0.6.0-2
- add a build switch for python binding
- buildrequires for pygobject2-devel, python-devel, and pygtk2-codegen
- buildrequire gtk-doc
- require gtk-doc for devel package
- add a build switch for ruby binding (default off)

* Fri Jun 29 2007 Jens Petersen <petersen@redhat.com> - 0.6.0-1
- update to 0.6.0
- tomoe-modules-noversion.patch no longer needed
- buildrequire gettext, python, and perl-XML-Parser (for intltool)

* Thu Feb 15 2007 Jens Petersen <petersen@redhat.com> - 0.5.1-1
- update to 0.5.1
- add tomoe-modules-noversion.patch to unversion .so modules (#227623)
- improve the filelists (#227453)
- add more doc files including new html files for kanjidic
- moved gtk-doc files to devel
- make config file noreplace

* Sat Jan 20 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.0-2
- do not buildrequire libtomoe-gtk

* Sat Jan 20 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.0-1
- update to 0.5.0.

* Thu Dec 21 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.4.0-1
- update to 0.4.0.

* Sat Sep 15 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.2.1-6
- mass rebuilding.

* Wed Mar  1 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.2.1-4
- sync with libtomoe-gtk

* Sat Sep 3 2005 Warren Togami <wtogami@redhat.com> - 0.2.1-3
- some spec cleanup

* Sat Sep 2 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com> - 0.2.1-2
- Sync with Jens's spec file

* Wed Aug 31 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com> - 0.2.1-1
- Initial packaging for Extras

* Fri Jul  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-1m)
- version 0.2.0
- add a package tomoe-devel
- add %%post and %%postun sections

* Wed Mar  2 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-1m)
- initial package for Momonga Linux
- import %%description from cooker
